qualitygates:
- name: qg
  rules:
  - name: robot 
    rule:
      scope: test.technology == 'robotframework'
      threshold: 100%
      failure-status: [failure, blocked, error]
  - name: contains
    rule:
      scope: (contains(test.runs-on, 'linux'))
      threshold: 0%
      failure-status: [failure, blocked, error]
  - name: AND
    rule:
      scope: (contains(test.runs-on, 'linux')) && (test.job == 'owljob') && (test.managed == 'false')
      threshold: 0%
      failure-status: [failure, blocked, error]
  - name: OR
    rule:
      scope: (contains(test.job, 'owljob')) || ((contains(test.uses, 'failed')) && (test.managed == 'false'))
      threshold: 0%
      failure-status: [failure, blocked, error]
  - name: false function
    rule:
      scope: (owl(test.job, 'owljob'))
      threshold: 0%
      failure-status: [failure, blocked, error]
  - name: false keys
    rule:
      scope: test.owl == 'robotframework'
      threshold: 0%
      failure-status: [failure, blocked, error]
  - name: false keys
    rule:
      scope: duplicate rule name
      threshold: 0%
      failure-status: [failure, blocked, error]
  - name: random scope
    rule:
      scope: random.owl
      threshold: 0%
      failure-status: [failure, blocked, error]
  # - name: robot threshold int 
  #   rule:
  #     scope: test.owl == 'robotframework'
  #     threshold: 0
  #     failure-status: [failure, blocked, error]
  # - name: robot threshold random 
  #   rule:
  #     scope: test.owl == 'robotframework'
  #     threshold: randomowl
  #     failure-status: [failure, blocked, error]
  # - name: robot false failure-status  
  #   rule:
  #     scope: test.owl == 'robotframework'
  #     threshold: randomowl
  #     failure-status: [random, owl, plop]
  # - name: robot false failure-status not a list
  #   rule:
  #     scope: test.owl == 'robotframework'
  #     threshold: randomowl
  #     failure-status: owl
  # - name: robot test managed bool 
  #   rule:
  #     scope: test.managed == true
  #     threshold: 0
  #     failure-status: [failure, blocked, error]